> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get legal acknowledgement status

> Retrieves the candidate acknowledgment status of the specified legal document for the case. This can be used to determine whether the candidate can skip acknowledging that legal document if they leave and then continue their onboarding later or on another device, for example.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /case/id/{caseId}/legal/status/{legalType}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/legal/status/{legalType}:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: >-
          The ID of the case for which to retrieve a legal acknowledgement
          status.
      - schema:
          type: string
          enum:
            - esig
            - fcra
            - disclosure
            - customdisclosure
            - customdynamicdisclosure
            - canadadisclosure
            - intldisclosure
            - custom-ab-disclosure-1
            - custom-ab-disclosure-2
        name: legalType
        in: path
        required: true
        description: >-
          A type of legal document. Each corresponds to a legal service that was
          ordered for the case.
    get:
      tags:
        - Candidate onboarding
      summary: Get legal acknowledgement status
      description: >-
        Retrieves the candidate acknowledgment status of the specified legal
        document for the case. This can be used to determine whether the
        candidate can skip acknowledging that legal document if they leave and
        then continue their onboarding later or on another device, for example.
      operationId: get-case-id-caseId-legal-status-legalType
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - alreadyAck
                properties:
                  alreadyAck:
                    type: boolean
                    description: >-
                      True if the candidate already acknowledged the legal
                      document; false otherwise.
              examples:
                Example 1:
                  value:
                    alreadyAck: true
        '403':
          description: Forbidden
        '404':
          description: The case specified was not found.
        '422':
          description: >-
            Invalid legal document type, or the case does not have the specified
            legal document type as a requirement.
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````